Subject: Re: git integration with monodevelop

From: Andreas Ericsson <[email-masked]>
Date: Wed, 12 Nov 2008 11:31:20 +0100

Andreas Ericsson wrote:
> Recently, I've started learning C#. More for fun than anything else,
> but one of the mono core devs sniffed me out and said they've been
> thinking of porting jgit to C# to get a working IDE integration in
> monodevelop. Currently, the only option available (with IDE
> integration anyways) to the poor C# devs is either Microsoft's
> crappy VSS, or the less crappy but still far from fantastic
> Subversion.
> 
> So in an effort to learn C#, I've decided to play along with this
> (hopefully with some help from the MonoDevelop team), but it seems
> to me that the best place to start is the fledgling libgit2 and link
> that with git-sharp. The primary reason for this is ofcourse that I
> think it'd be a terrible waste to have yet another from-scratch
> implementation of git in a new language (ruby, java, C#, C...). The
> secondary reason is that it would be neat to have more OSS projects
> use my favourite scm.
> 
> Besides, getting something to rely on libgit2 early on is probably
> the best way to get more people interested in making development of
> it proceed rapidly.
> 
> Thoughts anyone?
> 
> Please reply-to-all as this goes cross-list
> (currently, Cc [email-masked], [email-masked], [email-masked],
> [email-masked], in case monodevelop-list uses reply-to
> header).
> 

Ouch. Scratch monodevelop-list from that Cc list. It appears to be
members-only (although not listed as such on their list-server).

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231